Bug 1259751 - ksh syntax error from /etc/profile.d/scl-init.sh
ksh syntax error from /etc/profile.d/scl-init.sh
Status: POST
Product: Fedora
Classification: Fedora
Component: scl-utils (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-03 09:24 EDT by Tom Horsley
Modified: 2017-03-20 06:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:46:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2015-09-03 09:24:58 EDT
Description of problem:

I modified /etc/profile to tell me which profile.d script it was running
so I could see which one caused a syntax error:

Running profile for /etc/profile.d/scl-init.sh
/etc/profile[69]: .: syntax error: `(' unexpected

The user that gets this error has his shell set to /bin/ksh which comes
from the ksh-20120801-24.fc22.x86_64 package.

Version-Release number of selected component (if applicable):
scl-utils-2.0.1-2.fc22.x86_64


How reproducible:
every time

Steps to Reproduce:
1.log in as user that has /bin/ksh shell
2.see syntax error message
3.

Actual results:
syntax error

Expected results:
no error

Additional info:

I have no idea why scl-utils is installed (or what it does, since the web page referenced in the rpm info is way to cryptic to understand), but nothing seemed to depend on it so I solved the problem with "dnf erase scl-utils". I just figured I should record this bug in case anyone cared.
Comment 1 Ľuboš Kardoš 2015-09-03 09:44:39 EDT
This should be fixed in upstream: https://github.com/sclorg/scl-utils/commit/c0f59882fddfd57439d773e74377e89acc826150 and I will push this into fedora too.

Basically scl-utils is a tool for using Software Collections and Software Collections is technology that makes possible to build and concurrently install multiple versions of the same RPM packages on a system.
Comment 2 Ed Greshko 2015-09-03 10:41:00 EDT
The problem with the script is that it is "bash" specific.

bash uses the format

function scl()

while in ksh it is simply

scl()

I suppose the it would be wise for the script to execute differently based on the calling shell.
Comment 3 Tom Horsley 2016-01-27 07:48:20 EST
This is still busted in fedora 23, so apparently the upstream fix never got pushed (or wasn't really a fix :-).
Comment 4 Fedora Admin XMLRPC Client 2016-05-30 10:58:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2016-07-19 13:46:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Honza Horak 2017-02-14 12:25:05 EST
There was no release after this issue was reported, that would seem to fix this, so re-opening to check whether it was properly fixed or not. My suspicion is it was not.
Comment 7 Wayne Young 2017-03-09 09:13:52 EST
Can confirm that I see this problem in Fedora25. RPM reports scl-utils-2.0.1-10.fc25.x86_64
Comment 8 Panu Matilainen 2017-03-20 06:26:44 EDT
Fixed upstream but pending Fedora fix -> moving to POST

Note You need to log in before you can comment on or make changes to this bug.